#pragma once

#include "Level.h"
#include <string>
#include <iostream>
#include <queue>

#include "Screen.h"

class Game
{
public:
	Game(int levelnum = 0);
	~Game();

	void init();
	bool mainLoop();
	bool nextLevel();
	bool wonLevel(){return _currentLevel->getWon();};
	void loadLevel( std::string filename );
	void resetLevel(){ _currentLevel->reset(); };

private:
	Level* _currentLevel;
	std::queue< std::string > _levelList;
};
